Index: /branches/version-2_13_0/data/module/Calendar/Week.php
===================================================================
--- /branches/version-2_13_0/data/module/Calendar/Week.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/Calendar/Week.php	(revision 23143)
@@ -1,39 +1,27 @@
 <?php
-/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
-
+/* vim: set expandtab tabstop=4 shiftwidth=4: */
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// |          Lorenzo Alberton <l dot alberton at quipo dot it>           |
+// +----------------------------------------------------------------------+
+//
+// $Id: Week.php,v 1.7 2005/10/22 10:26:49 quipo Exp $
+//
 /**
- * Contains the Calendar_Week class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: Week.php 300729 2010-06-24 12:05:53Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: Week.php,v 1.7 2005/10/22 10:26:49 quipo Exp $
  */
 
@@ -54,6 +42,6 @@
  * Represents a Week and builds Days in tabular format<br>
  * <code>
- * require_once 'Calendar/Week.php';
- * $Week = new Calendar_Week(2003, 10, 1); Oct 2003, 1st tabular week
+ * require_once 'Calendar'.DIRECTORY_SEPARATOR.'Week.php';
+ * $Week = & new Calendar_Week(2003, 10, 1); Oct 2003, 1st tabular week
  * echo '<tr>';
  * while ($Day = & $Week->fetch()) {
@@ -66,12 +54,6 @@
  * echo '</tr>';
  * </code>
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @access public
  */
 class Calendar_Week extends Calendar
@@ -128,39 +110,25 @@
     /**
      * Constructs Week
-     *
-     * @param int $y        year e.g. 2003
-     * @param int $m        month e.g. 5
-     * @param int $d        a day of the desired week
-     * @param int $firstDay (optional) first day of week (e.g. 0 for Sunday, 2 for Tuesday etc.)
-     *
-     * @access public
-     */
-    function Calendar_Week($y, $m, $d, $firstDay = null)
-    {
-        include_once CALENDAR_ROOT.'Table/Helper.php';
-        parent::Calendar($y, $m, $d);
-        $this->firstDay    = $this->defineFirstDayOfWeek($firstDay);
-        $this->tableHelper = new Calendar_Table_Helper($this, $this->firstDay);
-        $this->thisWeek    = $this->tableHelper->getWeekStart($y, $m, $d, $this->firstDay);
-        $this->prevWeek    = $this->tableHelper->getWeekStart(
-            $y, 
-            $m, 
-            $d - $this->cE->getDaysInWeek(
-                $this->thisYear(),
-                $this->thisMonth(),
-                $this->thisDay()
-            ), 
-            $this->firstDay
-        );
-        $this->nextWeek = $this->tableHelper->getWeekStart(
-            $y, 
-            $m, 
-            $d + $this->cE->getDaysInWeek(
-                $this->thisYear(),
-                $this->thisMonth(),
-                $this->thisDay()
-            ), 
-            $this->firstDay
-        );
+     * @param int year e.g. 2003
+     * @param int month e.g. 5
+     * @param int a day of the desired week
+     * @param int (optional) first day of week (e.g. 0 for Sunday, 2 for Tuesday etc.)
+     * @access public
+     */
+    function Calendar_Week($y, $m, $d, $firstDay=null)
+    {
+        require_once CALENDAR_ROOT.'Table/Helper.php';
+        Calendar::Calendar($y, $m, $d);
+        $this->firstDay = $this->defineFirstDayOfWeek($firstDay);
+        $this->tableHelper = & new Calendar_Table_Helper($this, $this->firstDay);
+        $this->thisWeek = $this->tableHelper->getWeekStart($y, $m, $d, $this->firstDay);
+        $this->prevWeek = $this->tableHelper->getWeekStart($y, $m, $d - $this->cE->getDaysInWeek(
+            $this->thisYear(),
+            $this->thisMonth(),
+            $this->thisDay()), $this->firstDay);
+        $this->nextWeek = $this->tableHelper->getWeekStart($y, $m, $d + $this->cE->getDaysInWeek(
+            $this->thisYear(),
+            $this->thisMonth(),
+            $this->thisDay()), $this->firstDay);
     }
 
@@ -168,7 +136,5 @@
      * Defines the calendar by a timestamp (Unix or ISO-8601), replacing values
      * passed to the constructor
-     *
-     * @param int|string $ts Unix or ISO-8601 timestamp
-     *
+     * @param int|string Unix or ISO-8601 timestamp
      * @return void
      * @access public
@@ -181,22 +147,14 @@
         );
         $this->prevWeek = $this->tableHelper->getWeekStart(
-            $this->year, 
-            $this->month, 
-            $this->day - $this->cE->getDaysInWeek(
+            $this->year, $this->month, $this->day - $this->cE->getDaysInWeek(
                 $this->thisYear(),
                 $this->thisMonth(),
-                $this->thisDay()
-            ), 
-            $this->firstDay
+                $this->thisDay()), $this->firstDay
         );
         $this->nextWeek = $this->tableHelper->getWeekStart(
-            $this->year, 
-            $this->month, 
-            $this->day + $this->cE->getDaysInWeek(
+            $this->year, $this->month, $this->day + $this->cE->getDaysInWeek(
                 $this->thisYear(),
                 $this->thisMonth(),
-                $this->thisDay()
-            ), 
-            $this->firstDay
+                $this->thisDay()), $this->firstDay
         );
     }
@@ -204,7 +162,5 @@
     /**
      * Builds Calendar_Day objects for this Week
-     *
-     * @param array $sDates (optional) Calendar_Day objects representing selected dates
-     *
+     * @param array (optional) Calendar_Day objects representing selected dates
      * @return boolean
      * @access public
@@ -212,5 +168,5 @@
     function build($sDates = array())
     {
-        include_once CALENDAR_ROOT.'Day.php';
+        require_once CALENDAR_ROOT.'Day.php';
         $year  = $this->cE->stampToYear($this->thisWeek);
         $month = $this->cE->stampToMonth($this->thisWeek);
@@ -225,8 +181,7 @@
             $stamp = $this->cE->dateToStamp($year, $month, $day++);
             $this->children[$i] = new Calendar_Day(
-                $this->cE->stampToYear($stamp),
-                $this->cE->stampToMonth($stamp),
-                $this->cE->stampToDay($stamp)
-            );
+                                $this->cE->stampToYear($stamp),
+                                $this->cE->stampToMonth($stamp),
+                                $this->cE->stampToDay($stamp));
         }
 
@@ -252,12 +207,9 @@
 
     /**
-     * Set as first week of the month
-     *
-     * @param boolean $state whether it's first or not
-     *
-     * @return void
-     * @access private
-     */
-    function setFirst($state = true)
+     * @param boolean
+     * @return void
+     * @access private
+     */
+    function setFirst($state=true)
     {
         $this->firstWeek = $state;
@@ -265,12 +217,9 @@
 
     /**
-     * Set as last week of the month
-     *
-     * @param boolean $state whether it's lasst or not
-     *
-     * @return void
-     * @access private
-     */
-    function setLast($state = true)
+     * @param boolean
+     * @return void
+     * @access private
+     */
+    function setLast($state=true)
     {
         $this->lastWeek = $state;
@@ -279,7 +228,5 @@
     /**
      * Called from build()
-     *
-     * @param array $sDates Calendar_Day objects representing selected dates
-     *
+     * @param array
      * @return void
      * @access private
@@ -302,41 +249,7 @@
 
     /**
-     * Returns the value for this year
-     *
-     * When a on the first/last week of the year, the year of the week is
-     * calculated according to ISO-8601
-     *
-     * @param string $format return value format ['int' | 'timestamp' | 'object' | 'array']
-     *
-     * @return int e.g. 2003 or timestamp
-     * @access public
-     */
-    function thisYear($format = 'int')
-    {
-        if (null !== $this->thisWeek) {
-            $tmp_cal = new Calendar();
-            $tmp_cal->setTimestamp($this->thisWeek);
-            $first_dow = $tmp_cal->thisDay('array');
-            $days_in_week = $tmp_cal->cE->getDaysInWeek($tmp_cal->year, $tmp_cal->month, $tmp_cal->day);
-            $tmp_cal->day += $days_in_week;
-            $last_dow  = $tmp_cal->thisDay('array');
-
-            if ($first_dow['year'] == $last_dow['year']) {
-                return $first_dow['year'];
-            }
-
-            if ($last_dow['day'] > floor($days_in_week / 2)) {
-                return $last_dow['year'];
-            }
-            return $first_dow['year'];
-        }
-        return parent::thisYear();
-    }
-
-    /**
      * Gets the value of the previous week, according to the requested format
      *
      * @param string $format ['timestamp' | 'n_in_month' | 'n_in_year' | 'array']
-     *
      * @return mixed
      * @access public
@@ -345,20 +258,25 @@
     {
         switch (strtolower($format)) {
-        case 'int':
-        case 'n_in_month':
-            return ($this->firstWeek) ? null : $this->thisWeek('n_in_month') -1;
-        case 'n_in_year':
-            return $this->cE->getWeekNInYear(
-                $this->cE->stampToYear($this->prevWeek),
-                $this->cE->stampToMonth($this->prevWeek),
-                $this->cE->stampToDay($this->prevWeek));
-        case 'array':
-            return $this->toArray($this->prevWeek);
-        case 'object':
-            include_once CALENDAR_ROOT.'Factory.php';
-            return Calendar_Factory::createByTimestamp('Week', $this->prevWeek);
-        case 'timestamp':
-        default:
-            return $this->prevWeek;
+            case 'int':
+            case 'n_in_month':
+                return ($this->firstWeek) ? null : $this->thisWeek('n_in_month') -1;
+                break;
+            case 'n_in_year':
+                return $this->cE->getWeekNInYear(
+                    $this->cE->stampToYear($this->prevWeek),
+                    $this->cE->stampToMonth($this->prevWeek),
+                    $this->cE->stampToDay($this->prevWeek));
+                break;
+            case 'array':
+                return $this->toArray($this->prevWeek);
+                break;
+            case 'object':
+                require_once CALENDAR_ROOT.'Factory.php';
+                return Calendar_Factory::createByTimestamp('Week', $this->prevWeek);
+                break;
+            case 'timestamp':
+            default:
+                return $this->prevWeek;
+                break;
         }
     }
@@ -368,5 +286,4 @@
      *
      * @param string $format ['timestamp' | 'n_in_month' | 'n_in_year' | 'array']
-     *
      * @return mixed
      * @access public
@@ -375,33 +292,38 @@
     {
         switch (strtolower($format)) {
-        case 'int':
-        case 'n_in_month':
-            if ($this->firstWeek) {
-                return 1;
-            }
-            if ($this->lastWeek) {
-                return $this->cE->getWeeksInMonth(
+            case 'int':
+            case 'n_in_month':
+                if ($this->firstWeek) {
+                    return 1;
+                }
+                if ($this->lastWeek) {
+                    return $this->cE->getWeeksInMonth(
+                        $this->thisYear(),
+                        $this->thisMonth(),
+                        $this->firstDay);
+                }
+                return $this->cE->getWeekNInMonth(
                     $this->thisYear(),
                     $this->thisMonth(),
+                    $this->thisDay(),
                     $this->firstDay);
-            }
-            return $this->cE->getWeekNInMonth(
-                $this->thisYear(),
-                $this->thisMonth(),
-                $this->thisDay(),
-                $this->firstDay);
-        case 'n_in_year':
-            return $this->cE->getWeekNInYear(
-                $this->cE->stampToYear($this->thisWeek),
-                $this->cE->stampToMonth($this->thisWeek),
-                $this->cE->stampToDay($this->thisWeek));
-        case 'array':
-            return $this->toArray($this->thisWeek);
-        case 'object':
-            include_once CALENDAR_ROOT.'Factory.php';
-            return Calendar_Factory::createByTimestamp('Week', $this->thisWeek);
-        case 'timestamp':
-        default:
-            return $this->thisWeek;
+                break;
+            case 'n_in_year':
+                return $this->cE->getWeekNInYear(
+                    $this->cE->stampToYear($this->thisWeek),
+                    $this->cE->stampToMonth($this->thisWeek),
+                    $this->cE->stampToDay($this->thisWeek));
+                break;
+            case 'array':
+                return $this->toArray($this->thisWeek);
+                break;
+            case 'object':
+                require_once CALENDAR_ROOT.'Factory.php';
+                return Calendar_Factory::createByTimestamp('Week', $this->thisWeek);
+                break;
+            case 'timestamp':
+            default:
+                return $this->thisWeek;
+                break;
         }
     }
@@ -411,5 +333,4 @@
      *
      * @param string $format ['timestamp' | 'n_in_month' | 'n_in_year' | 'array']
-     *
      * @return mixed
      * @access public
@@ -418,20 +339,25 @@
     {
         switch (strtolower($format)) {
-        case 'int':
-        case 'n_in_month':
-            return ($this->lastWeek) ? null : $this->thisWeek('n_in_month') +1;
-        case 'n_in_year':
-            return $this->cE->getWeekNInYear(
-                $this->cE->stampToYear($this->nextWeek),
-                $this->cE->stampToMonth($this->nextWeek),
-                $this->cE->stampToDay($this->nextWeek));
-        case 'array':
-            return $this->toArray($this->nextWeek);
-        case 'object':
-            include_once CALENDAR_ROOT.'Factory.php';
-            return Calendar_Factory::createByTimestamp('Week', $this->nextWeek);
-        case 'timestamp':
-        default:
-            return $this->nextWeek;
+            case 'int':
+            case 'n_in_month':
+                return ($this->lastWeek) ? null : $this->thisWeek('n_in_month') +1;
+                break;
+            case 'n_in_year':
+                return $this->cE->getWeekNInYear(
+                    $this->cE->stampToYear($this->nextWeek),
+                    $this->cE->stampToMonth($this->nextWeek),
+                    $this->cE->stampToDay($this->nextWeek));
+                break;
+            case 'array':
+                return $this->toArray($this->nextWeek);
+                break;
+            case 'object':
+                require_once CALENDAR_ROOT.'Factory.php';
+                return Calendar_Factory::createByTimestamp('Week', $this->nextWeek);
+                break;
+            case 'timestamp':
+            default:
+                    return $this->nextWeek;
+                    break;
         }
     }
@@ -440,5 +366,4 @@
      * Returns the instance of Calendar_Table_Helper.
      * Called from Calendar_Validator::isValidWeek
-     *
      * @return Calendar_Table_Helper
      * @access protected
@@ -451,5 +376,4 @@
     /**
      * Makes sure theres a value for $this->day
-     *
      * @return void
      * @access private
Index: /branches/version-2_13_0/data/module/Calendar/Decorator/Textual.php
===================================================================
--- /branches/version-2_13_0/data/module/Calendar/Decorator/Textual.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/Calendar/Decorator/Textual.php	(revision 23143)
@@ -1,39 +1,27 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// |          Lorenzo Alberton <l dot alberton at quipo dot it>           |
+// +----------------------------------------------------------------------+
+//
+// $Id: Textual.php,v 1.3 2004/08/16 13:02:44 hfuecks Exp $
+//
 /**
- * Contains the Calendar_Decorator_Wrapper class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: Textual.php 246907 2007-11-24 11:04:24Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: Textual.php,v 1.3 2004/08/16 13:02:44 hfuecks Exp $
  */
 
@@ -61,13 +49,6 @@
  * <b>Note:</b> for performance you should prefer Calendar_Util_Textual unless you
  * have a specific need to use a decorator
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
- * @access    public
+ * @package Calendar
+ * @access public
  */
 class Calendar_Decorator_Textual extends Calendar_Decorator
@@ -75,7 +56,5 @@
     /**
      * Constructs Calendar_Decorator_Textual
-     *
-     * @param object &$Calendar subclass of Calendar
-     *
+     * @param object subclass of Calendar
      * @access public
      */
@@ -87,12 +66,10 @@
     /**
      * Returns an array of 12 month names (first index = 1)
-     *
-     * @param string $format (optional) format of returned months (one|two|short|long)
-     *
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return array
      * @access public
      * @static
      */
-    function monthNames($format = 'long')
+    function monthNames($format='long')
     {
         return Calendar_Util_Textual::monthNames($format);
@@ -101,12 +78,10 @@
     /**
      * Returns an array of 7 week day names (first index = 0)
-     *
-     * @param string $format (optional) format of returned days (one|two|short|long)
-     *
+     * @param string (optional) format of returned days (one,two,short or long)
      * @return array
      * @access public
      * @static
      */
-    function weekdayNames($format = 'long')
+    function weekdayNames($format='long')
     {
         return Calendar_Util_Textual::weekdayNames($format);
@@ -115,78 +90,66 @@
     /**
      * Returns textual representation of the previous month of the decorated calendar object
-     *
-     * @param string $format (optional) format of returned months (one|two|short|long)
-     *
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return string
      * @access public
      */
-    function prevMonthName($format = 'long')
+    function prevMonthName($format='long')
     {
-        return Calendar_Util_Textual::prevMonthName($this->calendar, $format);
+        return Calendar_Util_Textual::prevMonthName($this->calendar,$format);
     }
 
     /**
      * Returns textual representation of the month of the decorated calendar object
-     *
-     * @param string $format (optional) format of returned months (one|two|short|long)
-     *
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return string
      * @access public
      */
-    function thisMonthName($format = 'long')
+    function thisMonthName($format='long')
     {
-        return Calendar_Util_Textual::thisMonthName($this->calendar, $format);
+        return Calendar_Util_Textual::thisMonthName($this->calendar,$format);
     }
 
     /**
      * Returns textual representation of the next month of the decorated calendar object
-     *
-     * @param string $format (optional) format of returned months (one|two|short|long)
-     *
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return string
      * @access public
      */
-    function nextMonthName($format = 'long')
+    function nextMonthName($format='long')
     {
-        return Calendar_Util_Textual::nextMonthName($this->calendar, $format);
+        return Calendar_Util_Textual::nextMonthName($this->calendar,$format);
     }
 
     /**
      * Returns textual representation of the previous day of week of the decorated calendar object
-     *
-     * @param string $format (optional) format of returned months (one|two|short|long)
-     *
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return string
      * @access public
      */
-    function prevDayName($format = 'long')
+    function prevDayName($format='long')
     {
-        return Calendar_Util_Textual::prevDayName($this->calendar, $format);
+        return Calendar_Util_Textual::prevDayName($this->calendar,$format);
     }
 
     /**
      * Returns textual representation of the day of week of the decorated calendar object
-     *
-     * @param string $format (optional) format of returned months (one|two|short|long)
-     *
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return string
      * @access public
      */
-    function thisDayName($format = 'long')
+    function thisDayName($format='long')
     {
-        return Calendar_Util_Textual::thisDayName($this->calendar, $format);
+        return Calendar_Util_Textual::thisDayName($this->calendar,$format);
     }
 
     /**
      * Returns textual representation of the next day of week of the decorated calendar object
-     *
-     * @param string $format (optional) format of returned months (one|two|short|long)
-     *
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return string
      * @access public
      */
-    function nextDayName($format = 'long')
+    function nextDayName($format='long')
     {
-        return Calendar_Util_Textual::nextDayName($this->calendar, $format);
+        return Calendar_Util_Textual::nextDayName($this->calendar,$format);
     }
 
@@ -195,13 +158,11 @@
      * calendar object. Only useful for Calendar_Month_Weekdays, Calendar_Month_Weeks
      * and Calendar_Week. Otherwise the returned array will begin on Sunday
-     *
-     * @param string $format (optional) format of returned months (one|two|short|long)
-     *
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return array ordered array of week day names
      * @access public
      */
-    function orderedWeekdays($format = 'long')
+    function orderedWeekdays($format='long')
     {
-        return Calendar_Util_Textual::orderedWeekdays($this->calendar, $format);
+        return Calendar_Util_Textual::orderedWeekdays($this->calendar,$format);
     }
 }
